### Method

# Gtk.Label.get_layout_offsets

#### Declaration [src]

    void
    gtk_label_get_layout_offsets (
      GtkLabel* self,
      int* x,
      int* y
    )

#### Description [src]

Obtains the coordinates where the label will draw its `PangoLayout`.

The coordinates are useful to convert mouse events into coordinates inside the `PangoLayout`, e.g. to take some action if some part of the label is clicked. Remember when using the `PangoLayout` functions you need to convert to and from pixels using `PANGO_PIXELS()` or [constant@Pango.SCALE].

#### Parameters

`x` | `int*`
| location to store X offset of layout, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`y` | `int*`
| location to store Y offset of layout, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee